#region Using declarations
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.ComponentModel.DataAnnotations;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Input;
using System.Windows.Media;
using System.Xml.Serialization;
using NinjaTrader.Cbi;
using NinjaTrader.Gui;
using NinjaTrader.Gui.Chart;
using NinjaTrader.Gui.SuperDom;
using NinjaTrader.Gui.Tools;
using NinjaTrader.Data;
using NinjaTrader.NinjaScript;
using NinjaTrader.Core.FloatingPoint;

#endregion



#region NinjaScript generated code. Neither change nor remove.

namespace NinjaTrader.NinjaScript.Indicators
{
	public partial class Indicator : NinjaTrader.Gui.NinjaScript.IndicatorRenderBase
	{
		
		private BuySideGlobal.BSGVWAP[] cacheBSGVWAP;

		
		public BuySideGlobal.BSGVWAP BSGVWAP(Brush upSlope, Brush downSlope, double tickBandOffset, Brush tickBandUpperShading, Brush tickBandLowerShading, int tickBandOpacity, int sDLength)
		{
			return BSGVWAP(Input, upSlope, downSlope, tickBandOffset, tickBandUpperShading, tickBandLowerShading, tickBandOpacity, sDLength);
		}


		
		public BuySideGlobal.BSGVWAP BSGVWAP(ISeries<double> input, Brush upSlope, Brush downSlope, double tickBandOffset, Brush tickBandUpperShading, Brush tickBandLowerShading, int tickBandOpacity, int sDLength)
		{
			if (cacheBSGVWAP != null)
				for (int idx = 0; idx < cacheBSGVWAP.Length; idx++)
					if (cacheBSGVWAP[idx].UpSlope == upSlope && cacheBSGVWAP[idx].DownSlope == downSlope && cacheBSGVWAP[idx].TickBandOffset == tickBandOffset && cacheBSGVWAP[idx].TickBandUpperShading == tickBandUpperShading && cacheBSGVWAP[idx].TickBandLowerShading == tickBandLowerShading && cacheBSGVWAP[idx].TickBandOpacity == tickBandOpacity && cacheBSGVWAP[idx].SDLength == sDLength && cacheBSGVWAP[idx].EqualsInput(input))
						return cacheBSGVWAP[idx];
			return CacheIndicator<BuySideGlobal.BSGVWAP>(new BuySideGlobal.BSGVWAP(){ UpSlope = upSlope, DownSlope = downSlope, TickBandOffset = tickBandOffset, TickBandUpperShading = tickBandUpperShading, TickBandLowerShading = tickBandLowerShading, TickBandOpacity = tickBandOpacity, SDLength = sDLength }, input, ref cacheBSGVWAP);
		}

	}
}

namespace NinjaTrader.NinjaScript.MarketAnalyzerColumns
{
	public partial class MarketAnalyzerColumn : MarketAnalyzerColumnBase
	{
		
		public Indicators.BuySideGlobal.BSGVWAP BSGVWAP(Brush upSlope, Brush downSlope, double tickBandOffset, Brush tickBandUpperShading, Brush tickBandLowerShading, int tickBandOpacity, int sDLength)
		{
			return indicator.BSGVWAP(Input, upSlope, downSlope, tickBandOffset, tickBandUpperShading, tickBandLowerShading, tickBandOpacity, sDLength);
		}


		
		public Indicators.BuySideGlobal.BSGVWAP BSGVWAP(ISeries<double> input , Brush upSlope, Brush downSlope, double tickBandOffset, Brush tickBandUpperShading, Brush tickBandLowerShading, int tickBandOpacity, int sDLength)
		{
			return indicator.BSGVWAP(input, upSlope, downSlope, tickBandOffset, tickBandUpperShading, tickBandLowerShading, tickBandOpacity, sDLength);
		}
	
	}
}

namespace NinjaTrader.NinjaScript.Strategies
{
	public partial class Strategy : NinjaTrader.Gui.NinjaScript.StrategyRenderBase
	{
		
		public Indicators.BuySideGlobal.BSGVWAP BSGVWAP(Brush upSlope, Brush downSlope, double tickBandOffset, Brush tickBandUpperShading, Brush tickBandLowerShading, int tickBandOpacity, int sDLength)
		{
			return indicator.BSGVWAP(Input, upSlope, downSlope, tickBandOffset, tickBandUpperShading, tickBandLowerShading, tickBandOpacity, sDLength);
		}


		
		public Indicators.BuySideGlobal.BSGVWAP BSGVWAP(ISeries<double> input , Brush upSlope, Brush downSlope, double tickBandOffset, Brush tickBandUpperShading, Brush tickBandLowerShading, int tickBandOpacity, int sDLength)
		{
			return indicator.BSGVWAP(input, upSlope, downSlope, tickBandOffset, tickBandUpperShading, tickBandLowerShading, tickBandOpacity, sDLength);
		}

	}
}

#endregion
